tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ma...@apache.org
Subject svn commit: r1140184 - in /tomcat/site/trunk: docs/migration.html xdocs/migration.xml
Date Mon, 27 Jun 2011 14:47:44 GMT
Author: markt
Date: Mon Jun 27 14:47:44 2011
New Revision: 1140184

URL: http://svn.apache.org/viewvc?rev=1140184&view=rev
Log:
Prep before moving the new upgrade info from the Tomcat 7 docs to the website

Modified:
    tomcat/site/trunk/docs/migration.html
    tomcat/site/trunk/xdocs/migration.xml

Modified: tomcat/site/trunk/docs/migration.html
URL: http://svn.apache.org/viewvc/tomcat/site/trunk/docs/migration.html?rev=1140184&r1=1140183&r2=1140184&view=diff
==============================================================================
--- tomcat/site/trunk/docs/migration.html (original)
+++ tomcat/site/trunk/docs/migration.html Mon Jun 27 14:47:44 2011
@@ -335,9 +335,11 @@ Tomcat 7), you should not blindly copy t
 version. The recommended approach is to start with the default configuration of
 the new version of Apache Tomcat and to adjust it as necessary.</p>
 
-<p>The lists below compile all changes which may cause backwards compatibility
-problems.</p>
-
+<p>When migrating from one minor release to another minor release within the
+same major release (e.g. from Tomcat 7.0.14 to Tomcat 7.0.16) you can retain the
+configuration files but you should check to see if any defaults have changed
+and/or if any new elements have been added and adjust your configuration files
+accordingly.</p>
 </blockquote>
 </p>
 </td>
@@ -366,6 +368,9 @@ problems.</p>
 <p>
 <blockquote>
 
+  <p> This section lists all the known changes between 5.5.x and 6.0.x which may
+  cause backwards compatibility problems when upgrading.</p>
+  
   <table border="0" cellspacing="0" cellpadding="2" width="100%">
 <tr>
 <td bgcolor="#828DA6">
@@ -781,6 +786,9 @@ problems.</p>
 <p>
 <blockquote>
 
+  <p> This section lists all the known changes between 6.0.x and 7.0.x which may
+  cause backwards compatibility problems when upgrading.</p>
+
   <table border="0" cellspacing="0" cellpadding="2" width="100%">
 <tr>
 <td bgcolor="#828DA6">

Modified: tomcat/site/trunk/xdocs/migration.xml
URL: http://svn.apache.org/viewvc/tomcat/site/trunk/xdocs/migration.xml?rev=1140184&r1=1140183&r2=1140184&view=diff
==============================================================================
--- tomcat/site/trunk/xdocs/migration.xml (original)
+++ tomcat/site/trunk/xdocs/migration.xml Mon Jun 27 14:47:44 2011
@@ -25,13 +25,18 @@ Tomcat 7), you should not blindly copy t
 version. The recommended approach is to start with the default configuration of
 the new version of Apache Tomcat and to adjust it as necessary.</p>
 
-<p>The lists below compile all changes which may cause backwards compatibility
-problems.</p>
-
+<p>When migrating from one minor release to another minor release within the
+same major release (e.g. from Tomcat 7.0.14 to Tomcat 7.0.16) you can retain the
+configuration files but you should check to see if any defaults have changed
+and/or if any new elements have been added and adjust your configuration files
+accordingly.</p>
 </section>
 
 <section name="5.5.x to 6.0.x">
 
+  <p> This section lists all the known changes between 5.5.x and 6.0.x which may
+  cause backwards compatibility problems when upgrading.</p>
+  
   <subsection name="Java 5 required">
 
     <p>Apache Tomcat 6.0.x requires Java 5 or later, unlike Apache Tomcat 5.5.x which
@@ -173,6 +178,9 @@ problems.</p>
 
 <section name="6.0.x to 7.0.x">
 
+  <p> This section lists all the known changes between 6.0.x and 7.0.x which may
+  cause backwards compatibility problems when upgrading.</p>
+
   <subsection name="Java 6 required">
 
     <p>Apache Tomcat 7.0.x requires Java 6. Apache Tomcat 6.0.x required Java



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message